*********************************************************************
**** Updated (DBS: November 28, 2022) *******************************
*********************************************************************
***** Rain-1st-Day.ps (6 Hourly Accumulated Rainfall (mm): Day 1 ) **
*********************************************************************
'open lffHHZD2MonYYY2.ctl'
'set display color white'
'set rgb 17 240 240 240'
'set rgb 18 230 230 230'
'set rgb 19 220 220 255'
'set rgb 20 190 190 255'
'set rgb 21 150 150 255 '
'set rgb 22 100 100 240 '
'set rgb 23 70 70 200 '
'set rgb 24 40 40 150 '
'set rgb 25 0 120 0 '
'set rgb 26 0 160 0 '
'set rgb 27 0 210 0 '
'set rgb 28 0 240 0'
'set rgb 29 255 250 0 '
'set rgb 30 255 200 0 '
'set rgb 31 255 150 0' 
'set rgb 32 255 70 0'
'set rgb 33 180 0 0'
'set rgb 34 90 0 0'
'set rgb 35 40 0 0'
'set mpdset hires'
'set grads off'
'set grid on'
'set gxout shaded'
'set map 1 1 6'
'set xlint   2'
'set ylint   2'
'set xlopts 1 6 0.12'
'set ylopts 1 6 0.12'
'set strsiz 0.15 0.17'

'set parea 1 4 5.9 9.5'
'set clevs 0.2 0.5 1 2 3 4 5 6 7 8 9 10 13 16 19 22 25 30'
'set ccols 0 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35'
'd TOT_PREC(t=7) - TOT_PREC(t=1)'
'draw shp INDIA'
'draw title H+00 - H+06 UTC' 
'draw ylab Latitude (deg.N)'
*'draw string 2.40 7.65 *SHAR'

'set parea 4.5 7.5 5.9 9.5'
'set clevs 0.2 0.5 1 2 3 4 5 6 7 8 9 10 13 16 19 22 25 30'
'set ccols 0 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35'
'd TOT_PREC(t=13) - TOT_PREC(t=7)'
'draw shp INDIA'
'draw title H+06 - H+12 UTC'
*'draw string 5.895 7.65 *SHAR'

'set parea 1 4 1.5 5.1'
'set clevs 0.2 0.5 1 2 3 4 5 6 7 8 9 10 13 16 19 22 25 30'
'set ccols 0 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35'
'd TOT_PREC(t=19) - TOT_PREC(t=13)'
'draw shp INDIA'
'draw title H+12 - H+18 UTC'
'draw xlab Longitude (deg.E)'
'draw ylab Latitude (deg.N)'
*'draw string 2.40 3.29 *SHAR'

'set parea 4.5 7.5 1.5 5.1'
'set clevs 0.2 0.5 1 2 3 4 5 6 7 8 9 10 13 16 19 22 25 30'
'set ccols 0 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35'
'd TOT_PREC(t=25) - TOT_PREC(t=19)'
'draw shp INDIA'
'draw title H+18 - H+24 UTC'
'draw xlab Longitude (deg.E)'
*'draw string 5.895 3.29 *SHAR'
'cbarn'

'set string 1 tc 6 0'
'set strsiz 0.15 0.20'
'draw string 4.25 10.95 COSMO model predictions of 6-hourly accumulated rainfall (mm)'
'draw string 4.25 10.60 ICON (global model) initial conditions: D1-M1-YYY1: HH UTC'
'draw string 4.25 10.25 Forecast Valid for: D2-M2-YYY2: HH UTC ONWARDS ...'

'set parea 0 8.5 0 11.0'
'set string 6 bc 2 0'
'set strsiz 0.0735 0.09'
'draw string 4.25 0.20 COSMO Model Predictions (Simulations are done at Space Physics Laboratory, VSSC, Thiruvananthapuram)'
'draw string 4.25 0.05 Contact Point at SPL: Dr. D. Bala Subrahamanyam (E-mail: db_subrahamanyam@vssc.gov.in)'
'gxprint Rain-1st-Day.ps'
'c'

*********************************************************************
***** Rain-1Day.ps (24 Hourly Accumulated Rainfall (mm): Day 1 ) ****
*********************************************************************
'reset graphics'
'set display color white'
'set rgb 16 255 255 255'  
'set rgb 17 185 213 251'  
'set rgb 18 114 186 253'  
'set rgb 19  61 152 246'  
'set rgb 20   6 129 254'  
'set rgb 21   1 109 203'  
'set rgb 22   6  51 116'  
'set rgb 23  22 142  27' 
'set rgb 24  32 205   3'  
'set rgb 25 105 238   1'  
'set rgb 26 252 244  40'  
'set rgb 27 229 223   0'  
'set rgb 28 237  98   2'  
'set rgb 29 253 128  36'  
'set rgb 30 249 167 100'  
'set rgb 31 249  79 119'  
'set rgb 32 251  28  82'  
'set rgb 33 198   0   4'  
'set rgb 34 138   1   1'  
'set rgb 35  92   4 118' 
'set rgb 36 200   0 255'  
'set rgb 37 216 106 250'  
'set rgb 38 234 169 255'  
'set rgb 39 250 231 253'  
'set rgb 40 212 211 207'  
'set mpdset hires'
'set grads off'
'set grid on'
'set gxout shaded'
'set map 1 1 6'
'set xlint   2'
'set ylint   2'
'set xlopts 1 6 0.18 '
'set ylopts 1 6 0.18 '
'set strsiz 0.15 0.17'

'set parea 1.25 7.25 1.5 9.5'
'set clevs 0.1 0.5 1 2 3 5 7 10 15 20 25 30 35 40 45 50 60 70 80 90 100 125 150 200 300'
'set ccols  16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40' 
'd TOT_PREC(t=25) - TOT_PREC(t=1)'
'draw shp INDIA'
'draw xlab Longitude (deg.E)'
'draw ylab Latitude (deg.N)'
'set strsiz 0.25 0.27'
*'draw string 4.02 5.43 *SHAR'
'cbarn'

'set string 1 tc 6 0'
'set strsiz 0.15 0.21'
'draw string 4.25 10.5 COSMO model predictions of 24-hourly accumulated rainfall (mm)'
'draw string 4.25 10.1 ICON (global model) initial conditions: D1-M1-YYY1: HH UTC'
'draw string 4.25  9.7 Forecast Valid for: D2-M2-YYY2: HH UTC ONWARDS ...'

'set parea 0 8.5 0 11.0'
'set string 6 bc 2 0'
'set strsiz 0.0735 0.09'
'draw string 4.25 0.20 COSMO Model Predictions (Simulations are done at Space Physics Laboratory, VSSC, Thiruvananthapuram)'
'draw string 4.25 0.05 Contact Point at SPL: Dr. D. Bala Subrahamanyam (E-mail: db_subrahamanyam@vssc.gov.in)'
'gxprint Rain-1Day.ps'
'c'

*********************************************************************
************* +6 Hourly Surface Wind Speeds in Knots Day 1    *******
*********************************************************************
'reset graphics'
'set display color white'
'set rgb 16 245 245 245'                                              
'set rgb 17 205 205 205'                                              
'set rgb 18 165 165 165'                                              
'set rgb 19 220 220 250'                                              
'set rgb 20 190 190 250'                                              
'set rgb 21 155 155 250'                                              
'set rgb 22  80  80 255'                                              
'set rgb 23   5   5 255'                                              
'set rgb 24 205 250 205'                                              
'set rgb 25 105 250 105'                                              
'set rgb 26 195 170   0'                                              
'set rgb 27 240 220  50'                                              
'set rgb 28 255  80  80'                                              
'set rgb 29 255  45  45'                                              
'set rgb 30  40  40  40'                                              
'set rgb 31   0   0   0'                                              
'set mpdset hires'
'set grads off'
'set grid off'
'set map 1 1 6'
'set xlint   2'
'set ylint   2'
'set xlopts 1 6 0.12'
'set ylopts 1 6 0.12'
'set strsiz 0.15 0.17'

'set parea 1 4 5.9 9.5'
'define WSPDKNT = mag(u_10m,v_10m)*1.94384'
'set gxout shaded'
'set clevs 0 5 10 17 20 24 28 32 34 40 48 55 64 80 120 '              
'set ccols 0 16 17 18 19 20 21 22 23 24 25 26 27 28 31'               
'set t 7'
'd WSPDKNT'
'set arrscl 0.7 20'
'set arrlab off'
'set ccolor 1'
'd skip(u_10m,20,20);skip(v_10m,20,20)'
'draw shp INDIA'
'draw title H+06 UTC'
'draw ylab Latitude (deg.N)'
*'draw string 2.40 7.65 *SHAR'

'set parea 4.5 7.5 5.9 9.5'
'define WSPDKNT = mag(u_10m,v_10m)*1.94384'
'set gxout shaded'
'set clevs 0 5 10 17 20 24 28 32 34 40 48 55 64 80 120 '              
'set ccols 0 16 17 18 19 20 21 22 23 24 25 26 27 28 31'               
'set t 13'
'd WSPDKNT'
'set arrscl 0.7 20'
'set arrlab off'
'set ccolor 1'
'd skip(u_10m,20,20);skip(v_10m,20,20)'
'draw shp INDIA'
'draw title H+12 UTC'
*'draw string 5.895 7.65 *SHAR'

'set parea 1 4 1.5 5.1'
'define WSPDKNT = mag(u_10m,v_10m)*1.94384'
'set gxout shaded'
'set clevs 0 5 10 17 20 24 28 32 34 40 48 55 64 80 120 '              
'set ccols 0 16 17 18 19 20 21 22 23 24 25 26 27 28 31'               
'set t 19'
'd WSPDKNT'
'set arrscl 0.7 20'
'set arrlab off'
'set ccolor 1'
'd skip(u_10m,20,20);skip(v_10m,20,20)'
'draw shp INDIA'
'draw title H+18 UTC'
'draw xlab Longitude (deg.E)'
'draw ylab Latitude (deg.N)'
*'draw string 2.40 3.29 *SHAR'

'set parea 4.5 7.5 1.5 5.1'
'define WSPDKNT = mag(u_10m,v_10m)*1.94384'
'set gxout shaded'
'set clevs 0 5 10 17 20 24 28 32 34 40 48 55 64 80 120 '              
'set ccols 0 16 17 18 19 20 21 22 23 24 25 26 27 28 31'               
'set t 25'
'd WSPDKNT'
'set arrscl 0.7 20'
'set arrlab off'
'set ccolor 1'
'd skip(u_10m,20,20);skip(v_10m,20,20)'
'draw shp INDIA'
'draw xlab Longitude (deg.E)'
'draw title H+24 UTC'
*'draw string 5.895 3.29 *SHAR'
'cbarn'

'set string 1 tc 6 0'
'set strsiz 0.12 0.20'
'draw string 4.25 10.95 COSMO model predictions of Surface Winds Speed (Kt)'
'set strsiz 0.15 0.20'
'draw string 4.25 10.60 ICON (global model) initial conditions: D1-M1-YYY1: HH UTC'
'draw string 4.25 10.25 Forecast Valid for: D2-M2-YYY2: HH UTC ONWARDS ...'

'set parea 0 8.5 0 11.0'
'set string 6 bc 2 0'
'set strsiz 0.0735 0.09'
'draw string 4.25 0.20 COSMO Model Predictions (Simulations are done at Space Physics Laboratory, VSSC, Thiruvananthapuram)'
'draw string 4.25 0.05 Contact Point at SPL: Dr. D. Bala Subrahamanyam (E-mail: db_subrahamanyam@vssc.gov.in)'
'gxprint WSPDKNT1.ps'
'c'


*********************************************************************
**************** TIME-SERIES PLOTS FOR TVM Station **********
** Rainfall, CAPE, CIN, Total Cloud Cover ***************************
*********************************************************************
'reset graphics'
'set display color white'
'set grads off'
'set grid on'
'set xlopts 1 6 0.15'
'set ylopts 1 6 0.15'

'set lat  8.500'
'set lon 77.000'
'set t 1 25'

'set parea 1.25 7.25 8.8 10.4'
'set ccolor 4'
'set cthick 8'
'd tot_prec'
'draw ylab Rainfall (mm)'

'set parea 1.25 7.25 6.2 7.8'
'set vrange -500 5500'
'set ylint 1000'
'set ccolor 2'
'set cthick 8'
'd var145'
'draw ylab CAPE (J/kg)'

'set parea 1.25 7.25 3.6 5.2'
'set vrange -1750 750'
'set ylint 500'
'set ccolor 3'
'set cthick 8'
'd var146'
'draw ylab CIN (J/kg)'

'set parea 1.25 7.25 1.0 2.6'
'set vrange -10 110'
'set ylint 20'
'set ccolor 1'
'set cthick 8'
'd clct'
'draw ylab Cloud fraction (%)'

'set string 1 tc 6 0'
'set strsiz 0.17 0.24'
'draw string 4.25 10.95 Time-Series Plots for TVM (8.50 N, 77.00 E)'
'set parea 0 8.5 0 11.0'
'set string 6 bc 2 0'
'set strsiz 0.0735 0.09'
'draw string 4.25 0.20 COSMO Model Predictions (Simulations are done at Space Physics Laboratory, VSSC, Thiruvananthapuram)'
'draw string 4.25 0.05 Contact Point at SPL: Dr. D. Bala Subrahamanyam (E-mail: db_subrahamanyam@vssc.gov.in)'
'gxprint TVM-Convection4.ps'
'c'

*********************************************************************
**************** TIME-SERIES PLOTS FOR SHAR Station **********
** Mean and Peak Wind Speed,RH,T-DPT **
*********************************************************************
'reset graphics'
'set display color white'
'set grads off'
'set grid on'
'set xlopts 1 6 0.15 '
'set ylopts 1 6 0.15 '

'set lat  8.500'
'set lon 77.000'
'set t 1 25'
'define wspd10 = mag(u_10m,v_10m)'

'set parea 1.25 7.25 8.8 10.4'
'set vrange -2.5 22.5'
'set ylint 5'
'set ccolor 3'
'set cthick 8'
'd wspd10'
'set ccolor 2'
'set cthick 8'
'd VMAX_10m'
'draw ylab WS (10m) (m/s)'
'set strsiz 0.12 0.15'
'set string 3 tl 4 0'
'draw string 1.5 10.2 --- MEAN Wind Speed'
'set string 2 tr 4 0'
'draw string 7.0 10.2 --- PEAK Wind Speed'

'define wd10 = 57.3*atan2(u_10m,v_10m)+180'
'set parea 1.25 7.25 6.2 7.8'
'set vrange -45 405'
'set ylint 90'
'set ccolor 3'
'set cthick 8'
'd wd10'
'draw ylab Wind Direction (deg.)'

'set parea 1.25 7.25 3.6 5.2'
'set vrange 0 100'
'set ylint 20'
'set ccolor 4'
'set cthick 8'
'd relhum_2m'
'draw ylab RH (10m) (%)'


'set parea 1.25 7.25 1.0 2.6'
'set vrange 15 55'
'set ylint 10'
'set ccolor 3'
'set cthick 8'
'd t_2m - 273.15'
'set ccolor 2'
'set cthick 8'
'd td_2m - 273.15'
'draw ylab T and DPT (deg.C) '
'set strsiz 0.12 0.15'
'set string 3 tl 4 0'
'draw string 1.5 2.4 --- T'
'set string 2 tr 4 0'
'draw string 7.0 2.4 --- DPT'

'set string 1 tc 6 0'
'set strsiz 0.17 0.24'
'draw string 4.25 10.95 Time-Series Plots for TVM (8.50 N, 77.00 E)'
'set parea 0 8.5 0 11.0'
'set string 6 bc 2 0'
'set strsiz 0.0735 0.09'
'draw string 4.25 0.20 COSMO Model Predictions (Simulations are done at Space Physics Laboratory, VSSC, Thiruvananthapuram)'
'draw string 4.25 0.05 Contact Point at SPL: Dr. D. Bala Subrahamanyam (E-mail: db_subrahamanyam@vssc.gov.in)'
'gxprint TVM-Winds4.ps'
'c'

*********************************************************************
**************** TIME-SERIES PLOTS FOR SHAR Station **********
** Rainfall, CAPE, CIN, Total Cloud Cover ***************************
*********************************************************************
'reset graphics'
'set display color white'
'set grads off'
'set grid on'
'set xlopts 1 6 0.15'
'set ylopts 1 6 0.15'

'set lat 13.750'
'set lon 80.218'
'set t 1 25'

'set parea 1.25 7.25 8.8 10.4'
'set ccolor 4'
'set cthick 8'
'd tot_prec'
'draw ylab Rainfall (mm)'

'set parea 1.25 7.25 6.2 7.8'
'set vrange -500 5500'
'set ylint 1000'
'set ccolor 2'
'set cthick 8'
'd var145'
'draw ylab CAPE (J/kg)'

'set parea 1.25 7.25 3.6 5.2'
'set vrange -1750 750'
'set ylint 500'
'set ccolor 3'
'set cthick 8'
'd var146'
'draw ylab CIN (J/kg)'

'set parea 1.25 7.25 1.0 2.6'
'set vrange -10 110'
'set ylint 20'
'set ccolor 1'
'set cthick 8'
'd clct'
'draw ylab Cloud fraction (%)'

'set string 1 tc 6 0'
'set strsiz 0.17 0.24'
'draw string 4.25 10.95 Time-Series Plots for SHAR (13.750 N, 80.218 E)'
'set parea 0 8.5 0 11.0'
'set string 6 bc 2 0'
'set strsiz 0.0735 0.09'
'draw string 4.25 0.20 COSMO Model Predictions (Simulations are done at Space Physics Laboratory, VSSC, Thiruvananthapuram)'
'draw string 4.25 0.05 Contact Point at SPL: Dr. D. Bala Subrahamanyam (E-mail: db_subrahamanyam@vssc.gov.in)'
'gxprint SHAR-Convection4.ps'
'c'

*********************************************************************
**************** TIME-SERIES PLOTS FOR SHAR Station **********
** Mean and Peak Wind Speed,RH,T-DPT **
*********************************************************************
'reset graphics'
'set display color white'
'set grads off'
'set grid on'
'set xlopts 1 6 0.15 '
'set ylopts 1 6 0.15 '

'set lat 13.750'
'set lon 80.218'
'set t 1 25'
'define wspd10 = mag(u_10m,v_10m)'

'set parea 1.25 7.25 8.8 10.4'
'set vrange -2.5 22.5'
'set ylint 5'
'set ccolor 3'
'set cthick 8'
'd wspd10'
'set ccolor 2'
'set cthick 8'
'd VMAX_10m'
'draw ylab WS (10m) (m/s)'
'set strsiz 0.12 0.15'
'set string 3 tl 4 0'
'draw string 1.5 10.2 --- MEAN Wind Speed'
'set string 2 tr 4 0'
'draw string 7.0 10.2 --- PEAK Wind Speed'

'define wd10 = 57.3*atan2(u_10m,v_10m)+180'
'set parea 1.25 7.25 6.2 7.8'
'set vrange -45 405'
'set ylint 90'
'set ccolor 3'
'set cthick 8'
'd wd10'
'draw ylab Wind Direction (deg.)'

'set parea 1.25 7.25 3.6 5.2'
'set vrange 0 100'
'set ylint 20'
'set ccolor 4'
'set cthick 8'
'd relhum_2m'
'draw ylab RH (10m) (%)'


'set parea 1.25 7.25 1.0 2.6'
'set vrange 15 55'
'set ylint 10'
'set ccolor 3'
'set cthick 8'
'd t_2m - 273.15'
'set ccolor 2'
'set cthick 8'
'd td_2m - 273.15'
'draw ylab T and DPT (deg.C) '
'set strsiz 0.12 0.15'
'set string 3 tl 4 0'
'draw string 1.5 2.4 --- T'
'set string 2 tr 4 0'
'draw string 7.0 2.4 --- DPT'

'set string 1 tc 6 0'
'set strsiz 0.17 0.24'
'draw string 4.25 10.95 Time-Series Plots for SHAR (13.750 N, 80.218 E)'
'set parea 0 8.5 0 11.0'
'set string 6 bc 2 0'
'set strsiz 0.0735 0.09'
'draw string 4.25 0.20 COSMO Model Predictions (Simulations are done at Space Physics Laboratory, VSSC, Thiruvananthapuram)'
'draw string 4.25 0.05 Contact Point at SPL: Dr. D. Bala Subrahamanyam (E-mail: db_subrahamanyam@vssc.gov.in)'
'gxprint SHAR-Winds4.ps'
'c'
'close 1'

*****************************************************************************
************* +24 Hourly Time Series of Wind Profiles over SHAR (Pressure) **
*****************************************************************************
'reinit'
'open lffHHZD2MonYYY2p.ctl'
'set display color white'
'set rgb 16 210 210 255'
'set rgb 17 175 175 255'
'set rgb 18 140 140 255'
'set rgb 19 0 0	0'
'set parea 1.5 7.0 1.5 8.5'
'set lat 13.75'
'set lon 80.2185'
'set t 1 25'
'set grads off'
'set grid off'
'set gxout shaded'
'set lev 1010 50'
'set xlopts 1 5 0.18 '
'set ylopts 1 5 0.18 '
'set clevs 0 1 3 5 7 10 12 15 20 25 30 40 50'
'set ccols 0 16 17 18 11 5 3 10 7 12 8 2 6 19'
'd sqrt(u*u + v*v)'
'cbarn'
'draw title Mean Winds (m/s) for SHAR'
'draw ylab Pressure (in hPa)'
'set string 1 tc 6 0'
'set strsiz 0.15 0.20'
'draw string 4.25 10.95 COSMO model predictions of wind speed profiles over SHAR'
'draw string 4.25 10.60 ICON (global model) initial conditions: D1-M1-YYY1: HH UTC'
'draw string 4.25 10.25 Forecast Valid for: D2-M2-YYY2: HH UTC ONWARDS ...'
'set parea 0 8.5 0 11.0'
'set string 6 bc 2 0'
'set strsiz 0.0735 0.09'
'draw string 4.25 0.20 COSMO Model Predictions (Simulations are done at Space Physics Laboratory, VSSC, Thiruvananthapuram)'
'draw string 4.25 0.05 Contact Point at SPL: Dr. D. Bala Subrahamanyam (E-mail: db_subrahamanyam@vssc.gov.in)'
'gxprint Wind-Profiles-SHARp.ps'
'c'


*****************************************************************************
************* +24 Hourly Time Series of Wind Profiles over TVM (Pressure) **
*****************************************************************************
'reset'
'set display color white'
'set rgb 16 210 210 255'
'set rgb 17 175 175 255'
'set rgb 18 140 140 255'
'set rgb 19 0 0	0'
'set parea 1.5 7.0 1.5 8.5'
'set lat  8.50'
'set lon 77.00'
'set t 1 25'
'set grads off'
'set grid off'
'set gxout shaded'
'set lev 1010 50'
'set xlopts 1 5 0.18 '
'set ylopts 1 5 0.18 '
'set clevs 0 1 3 5 7 10 12 15 20 25 30 40 50'
'set ccols 0 16 17 18 11 5 3 10 7 12 8 2 6 19'
'd sqrt(u*u + v*v)'
'cbarn'
'draw title Mean Winds (m/s) for TVM'
'draw ylab Pressure (in hPa)'
'set string 1 tc 6 0'
'set strsiz 0.15 0.20'
'draw string 4.25 10.95 COSMO model predictions of wind speed profiles over TVM'
'draw string 4.25 10.60 ICON (global model) initial conditions: D1-M1-YYY1: HH UTC'
'draw string 4.25 10.25 Forecast Valid for: D2-M2-YYY2: HH UTC ONWARDS ...'
'set parea 0 8.5 0 11.0'
'set string 6 bc 2 0'
'set strsiz 0.0735 0.09'
'draw string 4.25 0.20 COSMO Model Predictions (Simulations are done at Space Physics Laboratory, VSSC, Thiruvananthapuram)'
'draw string 4.25 0.05 Contact Point at SPL: Dr. D. Bala Subrahamanyam (E-mail: db_subrahamanyam@vssc.gov.in)'
'gxprint Wind-Profiles-TVMp.ps'
'c'
'close 1'

*****************************************************************************
************* +24 Hourly Time Series of Wind Profiles over SHAR (Altitude) **
*****************************************************************************
'reinit'
'open lffHHZD2MonYYY2z.ctl'
'set display color white'
'set rgb 16 210 210 255'
'set rgb 17 175 175 255'
'set rgb 18 140 140 255'
'set rgb 19 0 0	0'
'set parea 1.5 7.0 1.5 8.5'
'set lat 13.75'
'set lon 80.2185'
'set t 1 25'
'set grads off'
'set grid off'
'set gxout shaded'
'set lev 29100 10'
'set xlopts 1 5 0.18 '
'set ylopts 1 5 0.18 '
'set clevs 0 1 3 5 7 10 12 15 20 25 30 40 50'
'set ccols 0 16 17 18 11 5 3 10 7 12 8 2 6 19'
'set yflip on'
'set vrange -500 30500'
'set ylint 2000'
'd sqrt(u*u + v*v)'
'cbarn'
'draw title Mean Winds (m/s) for SHAR'
'draw ylab Altitude (in m)'
'set string 1 tc 6 0'
'set strsiz 0.15 0.20'
'draw string 4.25 10.95 COSMO model predictions of wind speed profiles over SHAR'
'draw string 4.25 10.60 ICON (global model) initial conditions: D1-M1-YYY1: HH UTC'
'draw string 4.25 10.25 Forecast Valid for: D2-M2-YYY2: HH UTC ONWARDS ...'
'set parea 0 8.5 0 11.0'
'set string 6 bc 2 0'
'set strsiz 0.0735 0.09'
'draw string 4.25 0.20 COSMO Model Predictions (Simulations are done at Space Physics Laboratory, VSSC, Thiruvananthapuram)'
'draw string 4.25 0.05 Contact Point at SPL: Dr. D. Bala Subrahamanyam (E-mail: db_subrahamanyam@vssc.gov.in)'
'gxprint Wind-Profiles-SHARz.ps'
'c'

*****************************************************************************
************* +24 Hourly Time Series of Wind Profiles over TVM (Altitude) **
*****************************************************************************
'reset'
'set display color white'
'set rgb 16 210 210 255'
'set rgb 17 175 175 255'
'set rgb 18 140 140 255'
'set rgb 19 0 0	0'
'set parea 1.5 7.0 1.5 8.5'
'set lat  8.50'
'set lon 77.00'
'set t 1 25'
'set grads off'
'set grid off'
'set gxout shaded'
'set lev 29100 10'
'set xlopts 1 5 0.18 '
'set ylopts 1 5 0.18 '
'set clevs 0 1 3 5 7 10 12 15 20 25 30 40 50'
'set ccols 0 16 17 18 11 5 3 10 7 12 8 2 6 19'
'set yflip on'
'set vrange -500 30500'
'set ylint 2000'
'd sqrt(u*u + v*v)'
'cbarn'
'draw title Mean Winds (m/s) for TVM'
'draw ylab Altitude (in m)'
'set string 1 tc 6 0'
'set strsiz 0.15 0.20'
'draw string 4.25 10.95 COSMO model predictions of wind speed profiles over TVM'
'draw string 4.25 10.60 ICON (global model) initial conditions: D1-M1-YYY1: HH UTC'
'draw string 4.25 10.25 Forecast Valid for: D2-M2-YYY2: HH UTC ONWARDS ...'
'set parea 0 8.5 0 11.0'
'set string 6 bc 2 0'
'set strsiz 0.0735 0.09'
'draw string 4.25 0.20 COSMO Model Predictions (Simulations are done at Space Physics Laboratory, VSSC, Thiruvananthapuram)'
'draw string 4.25 0.05 Contact Point at SPL: Dr. D. Bala Subrahamanyam (E-mail: db_subrahamanyam@vssc.gov.in)'
'gxprint Wind-Profiles-TVMz.ps'
'c'

'set lat 13.75'
'set lon 80.2185'
'set fwrite DOL-300m-winds.bin'
'set gxout fwrite'
'set lev 29100 10'
'set t 1'
'd lev'
'set t 1 25'
'd u'
'd v'
'd t-273.15'
'd relhum'
'd ps'
'disable fwrite'
'c'

*****************************************************************************
*****************************************************************************
*** 6-Hourly Profiles at SHAR 
*****************************************************************************
'reinit'
'open lffHHZD2MonYYY2z.ctl'
'set display color white'
'set lev 29100 10'
'set t 1 25'
'define ws = mag(u,v)'
'define wd = 57.3*atan2(u,v)+180'

'set lat 13.750'
'set lon 80.218'
'set grads off'
'set grid on'
'set yflip on'

'set parea 1.3 4.3 5.9 9.5'
'set xlopts 1 5 0.14 '
'set ylopts 1 5 0.14 '
'set vrange -25 25'
'set xlint 5'
'set t 7'
'set cstyle 1'
'set ccolor 2'
'set cmark 0'
'set cthick 5'
'd u'
'draw xlab U (m/s)'
'draw ylab Altitude (m)'

'set parea 5.2 8.2 5.9 9.5'
'set xlopts 1 5 0.14 '
'set ylopts 1 5 0.14 '
'set vrange -25 25'
'set xlint 5'
'set t 7'
'set cstyle 1'
'set ccolor 4'
'set cmark 0'
'set cthick 5'
'd v'
'draw xlab V (m/s)'

'set parea 1.3 4.3 1.5 5.1'
'set xlopts 1 5 0.14 '
'set ylopts 1 5 0.14 '
'set vrange -1 31'
'set xlint 5'
'set t 7'
'set cstyle 1'
'set ccolor 2'
'set cmark 0'
'set cthick 5'
'd ws'
'draw xlab WS (m/s)'
'draw ylab Altitude (m)'

'set parea 5.2 8.2 1.5 5.1'
'set xlopts 1 5 0.14 '
'set ylopts 1 5 0.14 '
'set vrange -45 405'
'set xlint 90'
'set t 7'
'set cstyle 1'
'set ccolor 14'
'set cmark 0'
'set cthick 5'
'd wd'
'draw xlab WD (deg.)'

'set strsiz 0.18 0.22'
'set string 1 tc 4 0'
'draw string 4.25 10.65 COSMO Model Simulations for SHAR (13.750, 80.218)'
'draw string 4.25 10.20 Forecast Valid for: D2-M2-YYY2: HH UTC + 6 Hrs'

*'set parea 0 8.5 0 11.0'
'set string 6 bc 2 0'
'set strsiz 0.0735 0.09'
'draw string 4.25 0.20 COSMO Model Predictions (Simulations are done at Space Physics Laboratory, VSSC, Thiruvananthapuram)'
'draw string 4.25 0.05 Contact Point at SPL: Dr. D. Bala Subrahamanyam (E-mail: db_subrahamanyam@vssc.gov.in)'
'gxprint Profiles-03at.ps'
'c'

'set parea 1.3 4.3 5.9 9.5'
'set display color white'
'set xlopts 1 5 0.14 '
'set ylopts 1 5 0.14 '
'set vrange -25 25'
'set xlint 5'
'set yflip on'
'set grads off'
'set t 13'
'set cstyle 1'
'set ccolor 2'
'set cmark 0'
'set cthick 5'
'd u'
'draw xlab U (m/s)'
'draw ylab Altitude (m)'

'set parea 5.2 8.2 5.9 9.5'
'set xlopts 1 5 0.14 '
'set ylopts 1 5 0.14 '
'set vrange -25 25'
'set xlint 5'
'set t 13'
'set cstyle 1'
'set ccolor 4'
'set cmark 0'
'set cthick 5'
'd v'
'draw xlab V (m/s)'

'set parea 1.3 4.3 1.5 5.1'
'set xlopts 1 5 0.14 '
'set ylopts 1 5 0.14 '
'set vrange -1 31'
'set xlint 5'
'set t 13'
'set cstyle 1'
'set ccolor 2'
'set cmark 0'
'set cthick 5'
'd ws'
'draw xlab WS (m/s)'
'draw ylab Altitude (m)'

'set parea 5.2 8.2 1.5 5.1'
'set xlopts 1 5 0.14 '
'set ylopts 1 5 0.14 '
'set vrange -45 405'
'set xlint 90'
'set t 13'
'set cstyle 1'
'set ccolor 14'
'set cmark 0'
'set cthick 5'
'd wd'
'draw xlab WD (deg.)'

'set strsiz 0.18 0.22'
'set string 1 tc 4 0'
'draw string 4.25 10.65 COSMO Model Simulations for SHAR (13.750, 80.218)'
'draw string 4.25 10.20 Forecast Valid for: D2-M2-YYY2: HH UTC + 12 Hrs'

*'set parea 0 8.5 0 11.0'
'set string 6 bc 2 0'
'set strsiz 0.0735 0.09'
'draw string 4.25 0.20 COSMO Model Predictions (Simulations are done at Space Physics Laboratory, VSSC, Thiruvananthapuram)'
'draw string 4.25 0.05 Contact Point at SPL: Dr. D. Bala Subrahamanyam (E-mail: db_subrahamanyam@vssc.gov.in)'

'gxprint Profiles-05at.ps'
'c'


'set parea 1.3 4.3 5.9 9.5'
'set display color white'
'set xlopts 1 5 0.14 '
'set ylopts 1 5 0.14 '
'set vrange -25 25'
'set xlint 5'
'set yflip on'
'set grads off'
'set t 19'
'set cstyle 1'
'set ccolor 2'
'set cmark 0'
'set cthick 5'
'd u'
'draw xlab U (m/s)'
'draw ylab Altitude (m)'

'set parea 5.2 8.2 5.9 9.5'
'set xlopts 1 5 0.14 '
'set ylopts 1 5 0.14 '
'set vrange -25 25'
'set xlint 5'
'set t 19'
'set cstyle 1'
'set ccolor 4'
'set cmark 0'
'set cthick 5'
'd v'
'draw xlab V (m/s)'

'set parea 1.3 4.3 1.5 5.1'
'set xlopts 1 5 0.14 '
'set ylopts 1 5 0.14 '
'set vrange -1 31'
'set xlint 5'
'set t 19'
'set cstyle 1'
'set ccolor 2'
'set cmark 0'
'set cthick 5'
'd ws'
'draw xlab WS (m/s)'
'draw ylab Altitude (m)'

'set parea 5.2 8.2 1.5 5.1'
'set xlopts 1 5 0.14 '
'set ylopts 1 5 0.14 '
'set vrange -45 405'
'set xlint 90'
'set t 19'
'set cstyle 1'
'set ccolor 14'
'set cmark 0'
'set cthick 5'
'd wd'
'draw xlab WD (deg.)'

'set strsiz 0.18 0.22'
'set string 1 tc 4 0'
'draw string 4.25 10.65 COSMO Model Simulations for SHAR (13.750, 76.390)'
'draw string 4.25 10.20 Forecast Valid for: D2-M2-YYY2: HH UTC + 18 Hrs'

*'set parea 0 8.5 0 11.0'
'set string 6 bc 2 0'
'set strsiz 0.0735 0.09'
'draw string 4.25 0.20 COSMO Model Predictions (Simulations are done at Space Physics Laboratory, VSSC, Thiruvananthapuram)'
'draw string 4.25 0.05 Contact Point at SPL: Dr. D. Bala Subrahamanyam (E-mail: db_subrahamanyam@vssc.gov.in)'

'gxprint Profiles-07at.ps'
'c'


'set parea 1.3 4.3 5.9 9.5'
'set display color white'
'set xlopts 1 5 0.14 '
'set ylopts 1 5 0.14 '
'set vrange -25 25'
'set xlint 5'
'set yflip on'
'set grads off'
'set t 25'
'set cstyle 1'
'set ccolor 2'
'set cmark 0'
'set cthick 5'
'd u'
'draw xlab U (m/s)'
'draw ylab Altitude (m)'

'set parea 5.2 8.2 5.9 9.5'
'set xlopts 1 5 0.14 '
'set ylopts 1 5 0.14 '
'set vrange -25 25'
'set xlint 5'
'set t 25'
'set cstyle 1'
'set ccolor 4'
'set cmark 0'
'set cthick 5'
'd v'
'draw xlab V (m/s)'

'set parea 1.3 4.3 1.5 5.1'
'set xlopts 1 5 0.14 '
'set ylopts 1 5 0.14 '
'set vrange -1 31'
'set xlint 5'
'set t 25'
'set cstyle 1'
'set ccolor 2'
'set cmark 0'
'set cthick 5'
'd ws'
'draw xlab WS (m/s)'
'draw ylab Altitude (m)'

'set parea 5.2 8.2 1.5 5.1'
'set xlopts 1 5 0.14 '
'set ylopts 1 5 0.14 '
'set vrange -45 405'
'set xlint 90'
'set t 25'
'set cstyle 1'
'set ccolor 14'
'set cmark 0'
'set cthick 5'
'd wd'
'draw xlab WD (deg.)'

'set strsiz 0.18 0.22'
'set string 1 tc 4 0'
'draw string 4.25 10.65 COSMO Model Simulations for SHAR (13.750, 80.218)'
'draw string 4.25 10.20 Forecast Valid for: D2-M2-YYY2: HH UTC + 24 Hrs'

*'set parea 0 8.5 0 11.0'
'set string 6 bc 2 0'
'set strsiz 0.0735 0.09'
'draw string 4.25 0.20 COSMO Model Predictions (Simulations are done at Space Physics Laboratory, VSSC, Thiruvananthapuram)'
'draw string 4.25 0.05 Contact Point at SPL: Dr. D. Bala Subrahamanyam (E-mail: db_subrahamanyam@vssc.gov.in)'
'gxprint Profiles-09at.ps'
'c'
'close 1'


'quit'
